Skip to navigation

Transaction History - Credit Card

This API endpoint retrieves the transaction history associated with a specific credit card. The transactions are presented in a paginated format to manage large quantities of data.

Request Body

  • credit_card_id (string): The unique ID of the credit card whose transactions are being queried.

  • page (integer): The page of the transaction history to present. Each page contains a certain number of transaction records.

Response

  • page (integer): The current page of the transaction history.

  • last_page (integer): The total number of pages in the transaction history.

  • total (integer): The total number of transactions available.

  • transactions (array): An array of objects, each detailing a transaction. Each object includes payment_id, payment_type, credit_card_id, holder_name, type (card type), last_4_digits, created_at (transaction timestamp), reference, amount and currency_symbol.

Query parameters

api_tokenstringOptional

Request

This endpoint expects an object.
apistringOptional
dataobjectOptional

Response

Transaction History - Credit Card

messagestringOptional
apistringOptional
statusstringOptional
dataobjectOptional